/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN - Modulo PLANIMETRIA                                  //
//                                                                                //
//  FILE: POLICFS.DCL  File contenenti le dialog per il comando POLICFS           //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  RELEASE: 7     DATA: ottobre 2007                                              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1998                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ------------------------- Porzione Verifiche -----------------------------------*/
verifichepolicentrica_8 : boxed_column
{
	label = "Verifiche Normative";
	: row
	{
		fixed_width = true;
		: image_button
		{
				aspect_ratio = 1.0;
				fixed_height = true;
				fixed_width = true; height = 1; width = 4;
				key = "i_vercomp";
		} /*image_button*/	
		: text
		{
				key = "vercomp"; width = 25;
		}
		: image_button
		{
				aspect_ratio = 1.0;
				fixed_height = true;
				fixed_width = true; height = 1; width = 4;
				key = "i_verelem";
		} /*image_button*/
		: text
		{
				key = "verelem"; width = 25;
		}
	}

	: row
	{
		fixed_width = true;
		fixed_height = true;
	: list_box
	{
	  key = "lista_verifiche"; height = 9; width = 72; tabs = "15 50 65";
	}
	} /* row */
}
/* ------------------------- PolicFsDlg -----------------------------------*/
PolicFsDlg : dialog
			 {
			label = "Policentrica Fs";
			: row
			{
				: column
				{
					: row
					{
						: text
						{
							label = "Angolo di deviazione [u.c.]";
						}
						: text
						{
							key = "av"; width = 10;
						}
					} /* row */

					: row
					{
						: text
						{
							label = "Nome vertice ";
						} 
						: edit_box
						{
							key = "nomev"; edit_width = 12;		

						}
					}
					: boxed_radio_row
					{
						label = "Raccordi";
						key = "tipo_raccordo";
						: radio_button
						{
							label = "Clotoidi"; key = "clotoide";
						}
						: radio_button
						{
							label = "Parabole"; key = "parabola";
						}
						: radio_button
						{
							label = "Misto AV"; key = "misto";
						}

					} /* boxed_radio_row */
				} /* column */
				: boxed_column
				{
					label = "Calcolo Curve";
					: popup_list
		  {
						key = "lista_norme"; width = 22;
					}
				: boxed_row
		{
			label = "Velocit";
			fixed_width = true;
				alignment_children = top;
						: column
						  {
					fixed_width = true;
						   : row
							 {
							  : text
								{
							label = "Vmax"; width = 5; key = "t_vmax";
								}
							  : edit_box
								{
							key = "vmax"; edit_width = 7;
								}
							 } /* row */
						   : row
							 {
							  : text
								{
							label = "Vmin"; width = 5; key = "t_vmin";
								}
							  : edit_box
								{
							key = "vmin"; edit_width = 7;
								}
							 } /* row */
						  } /* column */
				:spacer {width = 1;}
				:column
				{
					fixed_width = true; 
					vertical_alignment = centered;
					alignment_children = centered;
						: row {
							fixed_width = true;
							:text{fixed_width = true;label = "VA"; width = 3;key = "t_vfa";}
							:edit_box {vertical_margin=none; key = "vfa"; edit_width = 8;}
							:toggle {alignment = centered;key = "c_vfa";}
						} 
						: row {
							fixed_width = true;	
							:text{fixed_width = true;label = "VB"; width = 3; key = "t_vfb";}
							:edit_box {vertical_margin=none; key = "vfb"; edit_width = 8;}
							:toggle {alignment = centered;key = "c_vfb";}
						} 
						: row {
							fixed_width = true;	
							:text{fixed_width = true;label = "VC"; width = 3; key = "t_vfc";}
							:edit_box {vertical_margin=none; key = "vfc"; edit_width = 8;}
							:toggle {alignment = centered;key = "c_vfc";}
						}
						: row {
							fixed_width = true;	
							:text{fixed_width = true;label = "VP"; width = 3; key = "t_vfp";}
							:edit_box {vertical_margin=none; key = "vfp"; edit_width = 8;}
							:toggle {alignment = centered;key = "c_vfp";}
						} 
						: row {
							fixed_width = true;	
							alignment = centered;
							:button {label = "Ricalcola VfP"; width=7; key = "reload_vp";}
						}
					} /* column */
			} /* boxed_column */
			} /* boxed_column */
				} /* row */
			: row
			  {
			   : text
				 {
				  label = "N."; width = 6;
				 }
			   : text
				 {
				  label = "Angolo"; width = 15;
				 }
			   : text
				 {
				  label = "Prop. Sviluppo"; width = 15;
				 }
			   : text
				 {
				  label = "Raggio"; width = 15;
				 }
			   : text
				 {
				  label = "Sviluppo"; width = 15;
				 }
			   : text
				 {
				  label = "Sopraelevazione";
				 }
			  } /* row */
			: list_box
			  {
			   key = "lista"; width = 75; tabs = "5 20 35 50 65";
			   multiple_select = true;
			  }
			: row
			  {
			   fixed_width = true;
			   : row
				 {
				  fixed_width = true; fixed_height = true;
				  : column
					{
					 : text
					   {
						label = " Prop. Sviluppo "; key = "t_prop";
					   }
					 : edit_box
					   {
						key = "prop_svi"; edit_width = 10; 
					   }
					} /* column */
				  : column
					{
					 : text
					   {
						label = " Raggio     "; key = "t_r";
					   }
					 : edit_box
					   {
						key = "raggio"; edit_width = 10;
					   }
					} /* column */
				  : column
					{
					 : text
					   {
						label = "Sopraelev."; key = "t_h";
					   }
					 : edit_box
					   {
						key = "h"; edit_width = 10;
					   }
					} /* column */

				  : column
					{
					 : text
					   {
						label = " "; width = 2;
					   }
					} /* column */
				 } /* row */
				: column
				  {
				   fixed_width = true;
				   : button
					 {
					  label = "Inserisci"; key = "inser";
					 }
				   : button
					 {
					  label = "Modifica"; key = "modi";
					 }
				   : button
					 {
					  label = "Cancella"; key = "canc";
					 }
				  } /* column */
			   } /* row */
			  errtile;
			  : row
				{
				 fixed_width = true; alignment = centered;
				 : button
				   {
					label = "Inserisci Raccordi";
					is_default = true; key = "accept";
				   }
				 : spacer {width = 2;}
				 : button
				   {
					label = "Annulla"; key = "cancel";
				   }
				 : spacer {width = 2;}
				 : button
				   {
					label = "?"; key = "help"; width = 10;
				   }
				} /* row */
			 } /* end dialog */
/* ------------------------- PolicSDlg -----------------------------------*/
PolicSDlg : dialog
{
	label = "Policentrica Stradale";
	  : row
	  {
				: row
				  {
					   : text
						 {
						  label = "Angolo di deviazione [u.c.]";
						 }
					   : text
						 {
						  key = "av"; width = 10;
						 }
				  } /* row */
			: row
				{
				: text
				{
					label = "Nome vertice ";
				} 
				: edit_box
				{
					key = "nomev"; edit_width = 12;		
				}
			 }
	} /* row */
	 


	: boxed_row
  {
			fixed_height = true;
				label = "Impostazione Normative";
		: column
				{
						
						: row
						{
							: popup_list
							{
								key = "lista_norme"; width = 16; 
							}
							: text
							{
								fixed_width = true;
								key = "standard";width = 2;
							}	
							
						}
						: row
						{
							: popup_list
							{
									key = "personalizzata"; width = 16;
							}
							: text
							{
								fixed_width = true;
								label = " ";width = 2;
							}	
						}
				: row
				{
									fixed_width = true;
									: text
						{
							label = "Strada tipo ";
						}
							: popup_list
						{
							key = "lista_tipi"; edit_width = 10;
							fixed_width = true;
						}
				: text
				{
					key = "bi";width = 25;
				}
			} /* row */
			: text
			{
				key = "desc"; width = 50;fixed_width = true;
			}
		}
			: boxed_row
		{
			label = "Velocita' di progetto"; fixed_width = true;
			: column
			{
				: text
						{
							key = "t_vmin"; label = "Vmin "; 
						}
				: text
						{
							key = "t_vmax"; label = "Vmax "; 
						}			
			}
			: column
			{
					: edit_box
						{
							key = "vmin"; edit_width = 3; fixed_width = true;
								edit_limit = 3;
					}
						: edit_box
						{
							key = "vmax"; edit_width = 3; fixed_width = true;
									edit_limit = 3;
				}
			}
			: column
			{
				: text
						{
							label = "[km/h]";
						}
						: text
						{
							label = "[km/h]";
						}
			}
		} /* boxed_row */
	} /* column */
			: row
			  {
			   : text
				 {
				  label = "N."; width = 6;
				 }
			   : text
				 {
				  label = "Angolo"; width = 15;
				 }
			   : text
				 {
				  label = "Prop. Sviluppo"; width = 15;
				 }
			   : text
				 {
				  label = "Raggio"; width = 15;
				 }
			   : text
				 {
				  label = "Sviluppo"; width = 15;
				 }
			  } /* row */
			: list_box
			  {
			   key = "lista"; width = 75; tabs = "5 23 42 52 60";
			   multiple_select = true;
			  }
			: row
			  {
			   fixed_width = true;
			   : row
				 {
				  fixed_width = true; fixed_height = true;
				  : column
					{
					 : text
					   {
						label = " Prop. Sviluppo"; key = "t_prop";
					   }
					 : edit_box
					   {
						key = "prop_svi"; edit_width = 15; 
					   }
					} /* column */
				  : column
					{
					 : text
					   {
						label = " Raggio     "; key = "t_r";
					   }
					 : edit_box
					   {
						key = "raggio"; edit_width = 10;
					   }
					} /* column */

				  : column
					{
					 : text
					   {
						label = " "; width = 2;
					   }
					} /* column */
				 } /* row */
				:row
				  {
				   fixed_width = true;
				   : button
					 {
					  label = "Inserisci"; key = "inser";
					 }
				   : button
					 {
					  label = "Modifica"; key = "modi";
					 }
				   : button
					 {
					  label = "Cancella"; key = "canc";
					 }
				  } /* column */
			   } /* row */
			  errtile;
			  : row
				{
				 fixed_width = true; alignment = centered;
				 : button
				   {
					label = "Inserisci Raccordi";
					is_default = true; key = "accept";
				   }
				 : spacer {width = 2;}
				 : button
				   {
					label = "Annulla"; key = "cancel";
				   }
				 : spacer {width = 2;}
				 : button
				   {
					label = "?"; key = "help"; width = 10;
				   }
				} /* row */
			 } /* end dialog */

/* ----------------- ErroriDlg -------------------------------------------*/
ErroriDlg : dialog
			{
			 label = "Policentrica ";
			 : list_box
			   {
				key = "lista"; width = 70;
			   }
			 ok_only;
			} /* end dialog */


/* --------------------- Dati generali policentrica ------------------------------------*/
DatigeneraliPolicentrica_V8 : boxed_column
		{
			label = "Dati generali";
			: row
			{
				fixed_width = true;
				: column
				{
				: text
						{
								label = "Lunghezza totale ";
						}
						: text
						{
						label = "Tangente Primitiva in ingresso ";
						}
						: text
						{
						label = "Tangente Primitiva in uscita   ";
						}
						: text
						{ 
						label = "Tangente finale in ingresso    ";
						}
						: text
						{
						label = "Tangente finale in uscita      ";
						}
				}
				: column
				{
					: text
			{
						key = "ltot"; width = 15;
			}
					: text
				{
					key = "t_ini_prim"; width = 15;
				}
		   
					: text
				{
					key = "t_fin_prim"; width = 15;
				}
					: text
				{
					key = "t_ini"; width = 15;
				}
					: text
				{
					key = "t_fin"; width = 15;
				}
				}
				: boxed_row
				{
					label = "Vertice"; fixed_height = true;
					alignment = top;
					: column
					{
						: text
						{
							label = "x"; width = 4;
						}
						: text
						{
							label = "y"; width = 4;
						}
						: text
						{
							label = "Nome"; width = 4;
						}

					} /* column */
					: column
					{
						: text
						{
							key = "x"; width = 15;
						}
						: text
						{
							key = "y"; width = 15;
						}
						: edit_box
						{
							key = "nomev"; edit_width = 12;		
						}

					} /* column */

				} /* boxed_column */				
				
			}  /* row */
			verifichepolicentrica_8;
	} /* boxed_column */
/* --------------------- Elementi Base Ferrovia ------------------------------------*/

  ElementiBaseFerrovia_V8 : column
	{  
		: list_box
	{
	  label = "Elementi base"; key = "ebase"; width = 20;
	}
		: popup_list
		{
				key = "lista_norme"; width = 20;
		}
	: row
	{
			: text
	  {
		width = 6;key = "t_v1";
	  }
			: edit_box
	  {
		key = "v1"; edit_width = 6;
	  }
	} /* row */

		: row
	{
	  : text
		{
		 width = 6;key = "t_v2";
		}
	  : edit_box
		{
		 key = "v2"; edit_width = 6;
		}
	} /* row */
		: row
	{
	  : text
		{
		 width = 6; key = "t_v3";
		}
	  : edit_box
		{
		 key = "v3"; edit_width = 6;
		}
	} /* row */
		: row
	{
	  : text
		{
		 width = 6; key = "t_v4";
		}
	  : edit_box
		{
		 key = "v4"; edit_width = 6;
		}
	} /* row */
	: row
	{
	  : text
		{
		 width = 6; key = "t_v5";
		}
	  : edit_box
		{
		 key = "v5"; edit_width = 6;
		}
	} /* row */
	}
	
/* --------------------- Elementi Base Strada ------------------------------------*/

ElementiBaseStrada_V8 : column
{  
	fixed_height = true;
	: list_box
	{
		fixed_width = true;
		label = "Elementi base"; key = "ebase"; width = 25; height = 6;
	}
	: row
	{
		fixed_width = true;
		: popup_list
			{
			fixed_width = true;
				key = "lista_norme"; width = 23;
			}
			: text
			{
					fixed_width = true;
					key = "standard";width = 2;
			}	
	} /* row */
	: row 
	{		
		fixed_width = true;
		: popup_list
		{
					fixed_width = true;
					key = "personalizzata"; width = 14;
		}		
		: popup_list
		{
				key = "lista_tipi"; edit_width = 8;
				fixed_width = true;
		}
	}

	: text
	{
		fixed_width = true;
		key = "bi";width = 18;
	}
	: boxed_row
	{
		
		label = "Velocita' di verifica [km/h]";
		: radio_column
		{
			fixed_height = true;
			key = "vver";
			: radio_button
			{
				label = "Vmin "; 
				key = "vver0";
				value = 0;
			}
			: radio_button
			{
				label = "Vmax "; key = "vver1";
				value = 0;
			}
			: radio_button
			{
				label = "V curva";key = "vver2";
				value = 1;
			}
			: radio_button
			{
				label = "V personalizzata"; key = "vver3";
				value = 0;
			}
		}
		: column
		{ 
			fixed_height = true;
			
			fixed_width = true;
			: edit_box
			{
				key = "vmin"; edit_width = 6;
			}
			: edit_box
			{
				key = "vmax"; edit_width = 6;
			}
			: text
			{
				key = "vel_curva"; width = 6;
			}
			: edit_box
			{
				key = "vel_per"; edit_width = 6;
			}
		} 				
	}/* row */
	: toggle
	{
	fixed_width = true;
		label = "Ver. contaccolpo esatta"; key = "tipovercontr";width = 20;
	}
}
	
	
	
	/* --------------------- Dati Elemento Base Ferrovia ------------------------------------*/
	DatiElementoBase_V8		: boxed_column
		{
			label = "Dati elemento base";
			: row
			{
				: column
		{
					:	row
					{
						fixed_width = true;
						: text
						{
							label = "Sviluppo"; key = "t_svi";
							width = 18;
						}
						: edit_box
						{
							key = "sv"; edit_width = 8;
						}
					} /* row */
					: row
					{
						fixed_width = true;
						: text
						{
							label = "Lung. tangente"; key = "t_ltg";
							width = 18;
						}
						: edit_box
						{
							key = "ltg"; edit_width = 8;
						}
					} /* row */
					: row
					{
						fixed_width = true;
						: text
						{
							label = "Scostamento"; key = "t_m";
							width = 18;
						}
						: edit_box
						{
							key = "m"; edit_width = 8;
						}
					} /* row */
				} /* column */
				: column
				{
					: row
					{
						: button
						{
							label = " ++ "; key = "incr";
						}
						: button
						{
							label = " -- "; key = "decr";
						}
					}
					: row
					{
						: button
						{
							label = " +  "; key = "incr2";
						}
						: button
						{
							label = " -  "; key = "decr2";
						}
					}
					: button
					{
						label = "Impostazioni"; key = "incrdecr";
					}
				} /* column */
			} /* row */
			 errtile;
			: row
			{
				: row
				{
					fixed_width = true; alignment = centered;
					: text
					{
						key = "i1"; width = 12;
					}
				} /* row */
				: row
				{
					fixed_width = true; alignment = centered;
					: text
					{
						key = "i2"; width = 12;
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
						width = 12; key = "t1";
					}
					: text
					{
						width = 12; key = "1";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
						width = 12; key = "t7";
					}
					: text
					{
						width = 12; key = "7";
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Raggio iniziale"; width = 12; key = "t2";
					}
					: text
					{
						width = 12; key = "2";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Raggio finale"; width = 12; key = "t8";
					}
					: text
					{
						width = 12; key = "8";
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
						label = "X iniziale"; width = 12; key = "t3";
					}
					: text
					{
						width = 12; key = "3";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Y iniziale"; width = 12; key = "t9";
					}
					: text
					{
						width = 12; key = "9";
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
						label = "X finale"; width = 12; key = "t4";
					}
					: text
					{
						width = 12; key = "4";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Y finale"; width = 12; key = "t10";
					}
					: text
					{
						width = 12; key = "10";
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
					label = "Angolo iniziale"; width = 12; key = "t5";
					}
					: text
					{
					width = 12; key = "5";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
					 label = "Angolo Finale"; width = 12; key = "t11";
					}
					: text
					{
					 width = 12; key = "11";
					}
				} /* row */
			} /* row */
			: row
			{
				: row
				{
					fixed_width = true;
					: text
					{
					 label = "Tangente lunga"; width = 12; key = "t6";
					}
					: text
					{
					 width = 12; key = "6";
					}
				} /* row */
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Tangente corta"; width = 12; key = "t12";
					}
					: text
					{
						width = 12; key = "12";
					}
				} /* row */
			} /* row */
		} /* boxed_column */
	/* --------------------- spostamenti -------------------------------------*/
spostamenti : column
			  {
				  : row
					{
					 : text
					   {
						label = "Punto"; width = 12;
					   }
					 : text
					   {
						label = "Prog."; width = 12;
					   }
					 : text
					   {
						label = "Xr"; width = 12;
					   }
					 : text
					   {
						label = "Yr"; width = 12;
					   }
					 : text
					   {
						label = "Xc"; width = 12;
					   }
					 : text
					   {
						label = "Yc"; width = 12;
					   }
					 : text
					   {
						label = "Dist mm.";
					   }
					} /* row */
				  : list_box
					{
					 key = "lista_elem"; tabs = "12 25 38 51 64 77";
					}
				  : row
					{
					 : button
					   {
						label = "Sel. punti <"; key = "punti";
					   }
					 : button
					   {
						label = "Sel. polilinea <"; key = "poli";
					   }
					 : button
					   {
						label = "Curvature..."; key = "curv";
					   }
					 : button
					   {
						label = "Stampa..."; key = "stampa";
					   }
					} /* row */
				  errtile;
				} /* column */
				
 /* --------------------- spostamenti2 -------------------------------------*/
spostamenti2 : column
	   
			  {
				  : row
					{
					 : text
					   {
						label = "Punto"; width = 12;
					   }
					 : text
					   {
						label = "Prog."; width = 12;
					   }
					 : text
					   {
						label = "Xr"; width = 12;
					   }
					 : text
					   {
						label = "Yr"; width = 12;
					   }
					 : text
					   {
						label = "Zr"; width = 12;
					   }

					 : text
					   {
						label = "Xc"; width = 12;
					   }
					 : text
					   {
						label = "Yc"; width = 12;
					   }
					 : text
					   {
						label = "Dist+"; width = 10;
					   }
					 : text
					   {
						label = "Dist-"; width = 10;
					   }
					 : text
					   {
						label = "Diff Z+"; width = 10;
					   }
					 : text
					   {
						label = "Diff Z-"; width = 10;
					   }

					} /* row */
				  : list_box
					{
					 /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
			 key = "lista_elem"; tabs = "16 29 44 65 80 89 101 121 134 151 165";
					}
				  : row
					{
					 : button
					   {
						label = "Sel. punti <"; key = "punti";
					   }
					 : button
					   {
						label = "Sel. polilinea <"; key = "poli";
					   }
					 : button
					   {
						label = "Rilievo <"; key = "rilievo";
					   }
					 : button
					   {
						label = "Ostacoli <"; key = "ostacoli";
					   }
					 : button
					   {
						label = "Stampa..."; key = "stampa_corrtr";
					   }
		: column
		{
			  : row
		  {
				: text
					   {
						 label = "Scmax.= ";
					   }
					 : text
					   {
						  key = "Scmaxd"; width = 10;
					   }
					 : text
					   {
						 label = "Sqm.= ";
					   }
					 : text
					   {
						  key = "Scsqmd"; width = 10;
					   }
		  }
		  : row
			{
					 : text
					   {
						 label = "DZmax.= ";
					   }
					 : text
					   {
						  key = "Scmaxv"; width = 10;
					   }
					 : text
					   {
						 label = "Sqm.DZ= ";
					   }
					 : text
					   {
						  key = "Scsqmv"; width = 10;
					   }
			}

			}/*column*/

					} /* row */
				} /* column */
				
				
/* ------------------------andtr ------------------------------------------*/
andtr        : column
			   {
				: image_button
				  {
				   key = "dis_curve"; width = 140;
				   height = 15;
				   color = graphics_background; 
				  }
				: row
				  {
				   : button
					 {
					  label = "+"; key = "piu";
					 }
				   : button
					 {
					  label = "-"; key = "meno";
					 }
				   : button
					 {
					  label = "Tutto"; key = "tutto";
					 }
				   : button
					 {
					  label = "<-"; key = "sn";
					 }
				   : button
					 {
					  label = "->"; key = "dx";
					 }
				   : button
					 {
					  label = "Imposta Zoom/Pan..."; key = "zp";
					 }
				  } /* row */
			   } /* column */
			   
			   /* ------------------------andtr7 ------------------------------------------*/
andtr7        : row
			   {
			   fixed_height = true;
				: image_button
				  {
				   key = "dis_curve"; width = 120;
				   height = 13;
				   color = graphics_background; 
				  }
				: column
				  {
				  fixed_width = true;
				  
				   : button
					 {
					  label = "+"; key = "piu"; width = 8;
					 }
				   : button
					 {
					  label = "-"; key = "meno"; width = 8;
					 }
				   : button
					 {
					  label = "Tutto"; key = "tutto"; width = 8;
					 }
				   : button
					 {
					  label = "<-"; key = "sn"; width = 8;
					 }
				   : button
					 {
					  label = "->"; key = "dx"; width = 8;
					 }
				   : button
					 {
					  label = "Imposta"; key = "zp"; width = 8;
					 }
				  } /* row */
			   } /* column */










/* --------------------- ElemPolicDlg7 ------------------------------------*/
ElemPolicDlg7 : dialog
{
	label = "Elementi Policentrica ";
				
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseFerrovia_V8;
		DatiElementoBase_V8;

	} /* row */
	andtr7;
	spostamenti2;
	: row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */

/* --------------------- ElemPolicRidDlg ------------------------------------*/
ElemPolicRidDlg : dialog
{
	label = "Elementi Policentrica ";
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseFerrovia_V8;
		DatiElementoBase_V8;

	} /* row */
	andtr7;
	: row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */


/* --------------------- SpostamentiDlg -----------------------------------*/
SpostamentiDlg : dialog
{ 
	label = "Analisi degli spostamenti";
	: text
	{
		label = "Asse"; key = "info_asse"; width = 8;
	}
	spostamenti;
  ok_only;
} /* end dialog */

/* --------------------- CorrTrDlg ----------------------------------------*/
CorrTrDlg : dialog
			{ 
			 label = "Correzione tracciato";
				: text
				{
					label = "Asse"; key = "info_asse"; width = 8;
				}

			 andtrest;
		 spostamenti2;
			: row
			   {
				fixed_width = true;
			: button
				  {
						label = "Esporta Plasser..."; key = "plasser";
				  }
			: button
				  {
						label = "Esporta Matisa..."; key = "matisa";
				  }
				: row
				  {
				   fixed_width = true;
				   : text
					 {
					  key = "prog"; width = 20;
					 }
				  } /* row */
				: spacer{width = 2;}
				: text
				  {
					key = "r"; width = 20;
				  }
				: spacer{width = 2;}
				: text
				  {
				   key = "parz"; width = 25;
				  }
			   } /* row */
			 errtile;
			 ok_cancel_help;
			} /* end dialog */
/* ----------------- PanZoomDlg -------------------------------------------*/
PanZoomDlg : dialog
			 {
			  label = "Impostazioni";
			  : row
				{
				 : text
				   {
					label = "Fattore di Zoom"; width = 20;
				   }
				 : edit_box
				   {
					key = "zoom"; edit_width = 8;
				   }
				 : text
				   {
					label = "%"; width = 2;
				   }
				} /* row */
			  : row
				{
				 : text
				   {
					label = "Distanza Pan"; width = 20;
				   }
				 : edit_box
				   {
					key = "pan"; edit_width = 8;
				   }
				 : text
				   {
					label = "m"; width = 2;
				   }
				} /* row */
			  errtile;
			  ok_cancel;
			 } /* end dialog */
/* ------------------ StampaProgDlg ---------------------------------------*/
StampaProgDlg : dialog
				{
				 label = "Opzioni di stampa";
				 : radio_column
				   {
					key = "tipo_st"; width = 50;
					: radio_button
					  {
					   label = "Intero tracciato"; key = "all";
					  }
					: radio_button
					  {
					   key = "selezione";
					  }
				   }   /* radio_column */
				  : row
					{
					 fixed_width = true; alignment = right;
					 : row
					   {
						fixed_width = true;
						: text
						  {
						   label = "da prog."; key = "t_daprog";
						  }
						: edit_box
						  {
						   key = "daprog"; edit_width = 8;
						  }
					   } /* row */
					 : spacer {width = 1;}
					 : row
					   {
						fixed_width = true;
						: text
						  {
						   label = "a prog."; key = "t_aprog";
						  }
						: edit_box
						  {
						   key = "aprog"; edit_width = 8;
						  }
					   } /* row */
					 } /* row */
				  errtile;
				  ok_cancel;
				} /* end dialog */
/* -----------------------AnCurDlg ----------------------------------------*/
AnCurDlg : dialog
		   {
			label = "Andamento delle Curvature";
			andtr;
			: column
			  {
			   : row
				 {
				  : text
					{
					 label = "Nome";
					}
				  : text
					{
					 label = "Prog.";
					}
				  : text
					{
					 label = "X";
					}
				  : text
					{
					 label = "Y";
					}
				  : text
					{
					 label = "Z";
					}

				  : text
					{
					 label = "Raggio";
					}
				  : text
					{
					 label = "Raggio Vert.";
					}

				  } /* row */
			   : list_box
				 {
				  key = "lista_elem"; tabs = "20 35 55 75 95 115";
				 }
			  } /* column */
			 : row
			   {
				fixed_width = true; 
				: button
				  {
				   label = "Sel. Punti <"; key = "punti";
				  }
			   } /* row */
			 : row
			   {
				fixed_width = true;
				: row
				  {
				   fixed_width = true;
				   : text
					 {
					  key = "prog"; width = 20;
					 }
				  } /* row */
				: spacer{width = 2;}
				: text
				  {
					key = "r"; width = 20;
				  }
				: spacer{width = 2;}
				: text
				  {
				   key = "parz"; width = 25;
				  }
			   } /* row */
			 errtile;
			ok_cancel_help;
		   } /* end dialog */


   /* ----------------- ImpIncrDlg -------------------------------------------*/
ImpIncrDlg : dialog
			 {
			  label = "Impostazioni";
			  : row
				{
				 : text
				   {
					label = "Incremento / decremento ++ -- "; width = 31;
				   }
				 : edit_box
				   {
					key = "incr"; edit_width =12;
				   }
				 : text
				   {
					label = " m"; width = 2;
				   }
			   } /* row */
			  : row
				{
				 : text
				   {
					label = "Incremento / decremento + - "; width = 31;
				   }
				 : text
				   {
					key = "incr2"; edit_width =12;
				   }
				 : text
				   {
					label = " m"; width = 2;
				   }
			   } /* row */
			  errtile;
			  ok_cancel;
			 } /* end dialog */   

/* ------------------------andtrest ------------------------------------------*/
andtrest       : column
			   {
				: image_button
				  {
				   key = "dis_curve"; width = 155;
				   height = 25;
				   color = graphics_background; 
				  }
				: row
				  {
				   : button
					 {
					  label = "+"; key = "piu";
					 }
				   : button
					 {
					  label = "-"; key = "meno";
					 }
				   : button
					 {
					  label = "Tutto"; key = "tutto";
					 }
				   : button
					 {
					  label = "<-"; key = "sn";
					 }
				   : button
					 {
					  label = "->"; key = "dx";
					 }
				   : button
					 {
					  label = "Imposta Zoom/Pan..."; key = "zp";
					 }
				  } /* row */
			   } /* column */
/* ------------------------- AnaScostamentiDlg -----------------------------------*/

AnaScostamentiDlg : dialog
{
		label = "Analisi Ostacoli Doppio Binario";
		: text
		{
			label = "Asse"; key = "info_asse"; width = 8;
		}

		: column
	   
			  {
				  : row
					{
					 : text
					   {
						label = "Punto"; width = 11;
					   }  
				   : text
					   {
						label = "Codice"; width = 12;
					   }

					 : text
					   {
						label = "Prog."; width = 12;
					   }
					 : text
					   {
						label = "Distanza rilevata"; width = 9;
					   }
					 : text
					   {
						label = "Intervia rilevata"; width = 9;
					   }
					 : text
					   {
						label = "Spostamento"; width = 9;
					   }
					 : text
					   {
						label = "Distanza Progetto"; width = 9;
					   }
					 : text
					   {
						label = "Intervia Progetto"; width = 9;
					   }
					 : text
					   {
						label = "Descrizione"; width = 12;
					   }
					 : text
					   {
						label = "And Planimetrico"; width = 12;
					   }


					} /* row */
				  : list_box
					{
					 /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
					key = "lista_elem"; tabs = "17 32 48 61 76 91 106 121 136 "; height = 25;

					}
				  : row
					{
					 : button
					   {
						label = "Sel punti <"; key = "selpunti";
					   }
					 : button
					   {
						label = "Sel. pol. <"; key = "poli";
					   }
					 : button
					   {
						label = "Ostacoli <"; key = "ostacoli";
					   }
					 : button
					   {
						label = "Stampa..."; key = "stampa";
					   }
				: column
				{
						: row
					{
							: text
								{
									label = "Dist Min= ";
								}
								: text
								{
									key = "Spost Max"; width = 10;
								}
								: text
								{
									label = "Intervia min ";
								}
					}

				}/*column*/

					} /* row */
				} /* column */
				   : spacer {width = 2;}
				   ok_cancel_help;

}
/* ------------------------- Corrtr2bDlg -----------------------------------*/

Corrtr2bDlg : dialog
{
		label = "Analisi Correzione Doppio Binario";
		: text
		{
			label = "Asse"; key = "info_asse"; width = 8;
		}

		: column
	   
			  {
				  : row
					{
					 : text
					   {
						label = "Punto"; width = 12;
					   }
					 : text
					   {
						label = "Codice"; width = 10;
					   } 
					: text
					   {
						label = "Prog."; width = 12;
					   }

					 : text
					   {
						label = "Sp. Or."; width = 8;
					   }
					 : text
					   {
						label = "Alzamento"; width = 8;
					   }

					 : text
					   {
						label = "Intervia ril."; width = 10;
					   }
					 : text
					   {
						label = "Intervia Prov."; width = 10;
					   }
					 : text
					   {
						label = "Intervia Prog."; width = 10;
					   }
					 : text
					   {
						label = "Descrizione"; width = 22;
					   }
					 : text
					   {
						label = "Andamento Pl"; width = 15;
					   }
					 : text
					   {
						label = "Andamento Al"; width = 15;
					   }

					} /* row */
				  : list_box
					{
					 /*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
					key = "lista_elem"; tabs = "12 22 38 48 58 70 82 94 125 146 "; height = 25;

					}
				  : row
					{
					 : button
					   {
						label = "Sel punti <"; key = "selpunti";
					   }
					 : button
					   {
						label = "Sel. pol. <"; key = "poli";
					   }
					 : button
					   {
						label = "Stampa..."; key = "stampa";
					   }
				: column
				{
						: row
					{
							: text
								{
									label = "Dist Min= ";
								}
								: text
								{
									key = "Spost Max"; width = 10;
								}
								: text
								{
									label = "Intervia min ";
								}
					}

				}/*column*/

					} /* row */
				} /* column */
				   : spacer {width = 2;}
				   ok_cancel_help;

}
/* ------------------------- PentaDlg -----------------------------------*/

PentaDlg : dialog
{
	label = "Pentametrazione";
		
	: text
	{
		label = "Asse"; key = "info_asse"; width = 8;
	}

	: column
	{
		: row
		{
			: text
			{
				label = "Punto"; width = 10;
			}
			: text
			{
				label = "Codice"; width = 10;
			} 
			: text
			{
				label = "Prog."; width = 10;
			}

			: text
			{
				label = "Parziale"; width = 8;
			}
			: text
			{
				label = "D.Rot"; width = 5;
			}
			: text
			{
				label = "Disl."; width = 5;
			}
			: text
			{
				label = "  H    Lato    Sc."; width = 18;
			}
			: text
			{
				label = "Descrizione"; width = 20;
			}
			: text
			{
				label = "Andamento Plan"; width = 12;
			}
			: text
			{
				label = "Andamento Altim"; width = 12;
			}
			: text
			{
				label = "I. ril"; width = 7;
			}
			: text
			{
				label = "I.prov"; width = 7;
			}
			: text
			{
				label = "I. def"; width = 7;
			}

		} /* row */
		: list_box
		{
			/*key = "lista_elem"; tabs = "12 25 38 51 64 77 90";*/
		/*key = "lista_elem"; tabs = "12 20 36 50 64 78 86 92 115 130"; height = 25;*/
		key = "lista_elem"; tabs = "12 20 36 44 52 60 65 70 77 101 118 138 145 152"; height = 25;

		}
		: row
		{
			: button
			{
				label = "Sel punti Fissi e Integrativi <"; key = "selpunti";
			}
			: button
			{
				label = "Sel. pol. <"; key = "poli";
			}
			: button
			{
				label = "Stampa..."; key = "stampa";
			}    
			: edit_box
			{
				label = "Passo"; key = "passo";                      
			}
		} /* row */
		: row
		{
			: button
			{
				label = "Sel rotaia sx (3dpoly) <"; key = "selleft_rail";
			}
			: button
			{
				label = "Sel rotaia dx (3dpoly) <"; key = "selright_rail";
			}
		}
	} /* column */
	: spacer {width = 2;}
	 ok_cancel_help;
}
/* --------------------- ElemPolicSRidDlg ------------------------------------*/
ElemPolicSRidDlg : dialog
{
  label = "Elementi Policentrica Stradale";
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseStrada_V8;
		DatiElementoBase_V8;
  } /* row */
	andtr7;
  : row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */
/* --------------------- ElemPolicSDlg ------------------------------------*/
ElemPolicSDlg : dialog
{
  label = "Elementi Policentrica Stradale";
	: row
	{
		DatigeneraliPolicentrica_V8;
		ElementiBaseStrada_V8;
		DatiElementoBase_V8;
  } /* row */
	andtr7;
	spostamenti2;
  : row
	{
		fixed_width = true; alignment = centered;
		ok_cancel;
	} /* row */
} /* end dialog */



/* ------------------------- SNDlg -----------------------------------*/
sinoDlg : dialog
{
	label = "Asse affiancato";
	: spacer {height = 1;}
	: text 
	{
		label = "Esiste l'asse affiancato?";
	} 
	: spacer {height = 1;}
	: row
	{
			: retirement_button 
		{
				label           = "  Si  ";
				key             = "accept";
				is_default      = true;
		}

		: retirement_button 
		{
				label           = " No ";
				key             = "cancel";
				is_cancel       = true;
		}
	}
} /* end dialog */

/* ------------------------- SNDlg -----------------------------------*/
SceltaProgressiva : dialog
{
	label = "Intervallo Progressiva";
	: spacer {height = 1;}
	: row 
	{
		: text 
		{
			label = "Asse:";
		} 
		: text 
		{
			key = "tracciato";
		} 
	}
	: spacer {height = 1;}
	: row
	{
		: column
		{
			: text
			{
				label = "Da progressiva m.";
			}
			: text
			{
				label = "A progressiva m.";
			}
		}
		: column
		{
			: edit_box
			{
				key = "daprog"; width = 20;
			}
			: edit_box
			{
				key = "aprog"; width = 20;
			}
		}
	}
	ok_cancel;
} /* end dialog */

/* ------------------------- PalasDlg -----------------------------------*/

PalasDlg : dialog
{
		label = "Esportazione Matisa Palas";
		: text
		{
			label = "Asse"; key = "info_asse"; width = 8;
		}
		: boxed_row
		{
			label = "Dati Generali";
			: column
			{
				: text
				{
					label = "Societ";
				}
				: text
				{
					label = "Linea";
				}
				: text
				{
					label = "Tratta";
				}
				: text
				{
					label = "Data Costruzione (gg.nn.aaaa)";
				}
				: text
				{
					label = "Data Ultima Modifica (gg.nn.aaaa)";
				}
				: text
				{
					label = "Progressiva iniziale (m)";
				}
				: text
				{
					label = "Progressiva finale (m)";
				}
				: text
				{
					label = "Quota s.l.m. Primo Punto Fisso (m)";
				}
				: text
				{
					label = "Scartamento (mm)";
				}
				: text
				{
					label = "Progettista";
				}
	
			}
			: column
			{
				: edit_box
				{
					key = "societa"; edit_limit = 40;
				}
				: edit_box
				{
					key = "linea"; edit_limit = 40;
				}
				: edit_box
				{
					key = "tratta"; edit_limit = 40;
				}
				: edit_box
				{
					key = "data_costruzione"; edit_limit = 10;
				}
				: edit_box
				{
					key = "data_modifica"; edit_limit = 10;
				}
				: edit_box
				{
					key = "progi";
				}
				: edit_box
				{
					key = "progf";
				}
				: edit_box
				{
					key = "quota_p_pf";
				}
				: edit_box
				{
					key = "scartamento";
				}
				: edit_box
				{
					key = "progettista"; edit_limit = 40;
				}
			}
			: column
			{
				: text
				{
					label = "   ";
				} 
			
			}
			: column
			{
				: row
				{
					: column
					{
						: text
						{
							label = "Software";
						}
						: text
						{
							label = "Versione File xx.yy";
						}
						: text
						{
							label = "Note";
						}
						: text
						{
							label = "Sistema di proiezione Cartografica";
						}
						: text
						{
							label = "Rif Geometria Verticale";
						}
						: text
						{
							label = "Tipo di Punto Fisso";
						}

					}
					: column
					{
						: edit_box
						{
							key = "software";edit_limit = 40;
						}
						: edit_box
						{
							key = "versione"; edit_limit = 5;
						}
						: edit_box
						{
							key = "note"; edit_limit = 80;
						}
						: edit_box
						{
							key = "proiezione";edit_limit = 2;
						}
						: popup_list
						{
							key = "riferimento_verticale"; list = "Asse Binario\nRotaia Bassa"; value = "1";	
						}
						: popup_list
						{
							key = "tipo_pf"; list = "0\n1\n2\n3\n4\n5\n6\n7\n8\n9\n10\n"; value = "0";	
						}
			
					}
				}
				: row
				{
					: column
					{
						: text
						{
							label = "X primo punto (m)";
						}
						: text
						{
							label = "Y primo punto (m)";
						}
						: text
						{
							label = "X ultimo punto (m)";
						}
						: text
						{
							label = "Y ultimo punto (m)";
						}
					}
					: column
					{
						: text
						{
							key = "xi";
						}
						: text
						{
							key = "yi";
						}
						: text
						{
							key = "xf";
						}
						: text
						{
							key = "yf";
						}
				
					}
				}
			}
		}
	: text
	{
		key = "info";
	}
	: row
	{
		: column
		{
			: list_box
			{
				key = "lista_elem"; tabs = "15 30 40 50 60 70 82 92 102 "; height = 15;width = 75;
			}
			: button
			{
				label = "Selezione punti Fissi <"; key = "selpunti";
			}

		}
		: column
		{	
			: list_box
			{
				key = "lista_file"; tabs = "15 19 25 38 51 63 75 87 99 102 114 146 "; height = 15;width = 90;
			}
			: button
			{
				label = "Esporta..."; key = "esporta";
			}
		} /* row */
	} /* column */
	: spacer {width = 2;}
	ok_cancel_help;
}



